use self basename; sort numerically to get minimal determinism

master
George Danchev 11 years ago
parent e0a754ff85
commit 7d4aac4a84
  1. 74
      releng/run_all_releng

@ -5,10 +5,6 @@ set -e
SELF=$(basename "$0")
CLOG1=log.$SELF.1
CLOG2=log.$SELF.2
> ${CLOG1}
> ${CLOG2}
PASSED_OPTIONS=""
if [ "${1}" == "-cleanup" ]; then
@ -19,48 +15,50 @@ elif [ "${1}" == "-rc" ]; then
PASSED_OPTIONS="-rc"
else
cat << HLP
$0: $0 -rc [-keep]
$0: $0 -cleanup
${SELF} -rc [-keep]
${SELF} -cleanup
HLP
exit 0
exit 101
fi
main() {
#
DSTART=`date --utc`
printf "\n$0: Started at ${DSTART}"
E1=`date '+%s'`
# require ^releng_, avoid running (your)self explcitly
for s in `ls | grep ^releng_ | grep -v ${SELF} | sort`; do
if [ -x ${s} -a ! -d ${s} ]; then
printf "\n$0: Running ./${s} ${PASSED_OPTIONS}..."
T1=`date '+%s'`
set +e
./${s} ${PASSED_OPTIONS} 1>>${CLOG1} 2>>${CLOG2}
RET=$?
T2=`date '+%s'`
let TS="${T2}-${T1}"
case ${RET} in
0)
printf "done in ${TS} sec. ok."
;;
*)
printf "done in ${TS} sec. FAIL. EXIT CODE: $RET;"
;;
esac
set -e
fi
done
> ${CLOG1}
> ${CLOG2}
DSTART=`date --utc`
printf "\n${SELF}: Started at ${DSTART}"
E1=`date '+%s'`
# require ^releng_, avoid running (your)self explcitly
for s in `ls | grep ^releng_ | grep -v ${SELF} | sort -n`; do
if [ -x ${s} -a ! -d ${s} ]; then
printf "\n${SELF}: Running ./${s} ${PASSED_OPTIONS}..."
T1=`date '+%s'`
set +e
./${s} ${PASSED_OPTIONS} 1>>${CLOG1} 2>>${CLOG2}
RET=$?
T2=`date '+%s'`
let TS="${T2}-${T1}"
case ${RET} in
0)
printf "done in ${TS} sec. ok."
;;
*)
printf "done in ${TS} sec. FAIL. EXIT CODE: $RET;"
;;
esac
set -e
fi
done
DEND=`date --utc`
printf "\n$0: Finished at ${DEND}.\n"
E2=`date '+%s'`
let ES="${E2}-${E1}"
printf "\n$0: Total time elapsed ${ES} sec."
printf "\n$0: Results saved in ${CLOG1} and ${CLOG2}.\n\n"
DEND=`date --utc`
printf "\n${SELF}: Stopped at ${DEND}.\n"
E2=`date '+%s'`
let ES="${E2}-${E1}"
printf "\n${SELF}: Total time elapsed ${ES} sec."
printf "\n${SELF}: Results saved in ${CLOG1} and ${CLOG2}.\n\n"
#
exit 0
exit 0
}
#

Loading…
Cancel
Save